# Get a paginated analytics breakdown

> Source: https://truto.one/docs/api-reference/admin/analytics/breakdown/

`GET /analytics/breakdown`

Resource: **Analytics**

## Query parameters

- **`environment_id`** _(string, required)_
  The environment to report on. The caller must belong to it.
- **`from`** _(string)_
  First UTC day (inclusive). Defaults to 30 days before `to`. Clamped to the 90-day window.
- **`to`** _(string)_
  Last UTC day (inclusive). Defaults to today.
- **`metric`** _(string, required)_
- **`dimension`** _(string, required)_
- **`limit`** _(integer)_
- **`cursor`** _(string)_
- **`search`** _(string)_
  The start of an integrated account id (`dimension=integrated_account` only).
- **`tenant_id`** _(string)_
  Only that tenant's accounts in this environment (`dimension=integrated_account` only). Refused when the tenant has more than 1,000 accounts here.
- **`filter`** _(object)_

## Response body

- **`environment_id`** _(string)_
- **`metric`** _(string)_
- **`dimension`** _(string)_
- **`from`** _(string)_
- **`to`** _(string)_
- **`rows`** _(array<object>)_
  - **`key`** _(string)_
  - **`value`** _(number)_
  - **`numerator`** _(number)_
  - **`denominator`** _(number)_
  - **`integration`** _(string)_
  - **`calls`** _(integer)_
  - **`errors`** _(integer)_
  - **`last_active_day`** _(string)_
  - **`tenant_id`** _(string)_
  - **`status`** _(string)_
    The account's current status (not its status during the range). `null` when the account no longer exists.
- **`next_cursor`** _(string)_

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/analytics/breakdown' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.truto.one/analytics/breakdown', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/analytics/breakdown"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```
